Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mro.util.measures
Class AverageMeasure

    java.lang.Object
      mro.util.measures.Measure
          mro.util.measures.AverageMeasure

Direct Known Subclasses:
  AverageMeasureGroup

    public class AverageMeasure

extends Measure

Average of a measure.

Field Summary
`(package private) java.util.Vector<Measure>` | `measureVector` The vector of Measure:s.
`(package private) double` | `std` The standard deviation.

Fields inherited from class mro.util.measures.Measure
`description, iogrelative, name, roundFloatToNumOfDecimals, roundValue, stamp, value`

Constructor Summary
`AverageMeasure()`
`AverageMeasure(AverageMeasure am2)` Copy Constructor.
`AverageMeasure(Measure m)` Constructs a AverageMeasure consisting of only the given Measure.
`AverageMeasure(java.lang.String name, java.lang.String description)`

Method Summary
`boolean` | `addMeasure(Measure m)`
`private void` | `calculate()`
`AverageMeasure` | `difference(AverageMeasure other)` Constructs a AverageMeasure containing the difference between this and an other AverageMeasure for each Measure in the Vector.
`AverageMeasure` | `divide(AverageMeasure other)`
`double` | `getSTD()`
`double` | `getValue()`
`AverageMeasure` | `normDifference(AverageMeasure other)` Constructs a AverageMeasure containing the normalized difference between this and an other AverageMeasure for each Measure in the Vector.
`void` | `print()`
`void` | `printXML(java.io.PrintWriter pw)`
`protected void` | `sortMeasureVectorInStampOrder()`
`AverageMeasure` | `subtract(AverageMeasure other)`

Methods inherited from class mro.util.measures.Measure
`difference, divide, getDescription, getName, getRelativeIObjectGroup, getStamp, normDifference, setDescription, setStamp, setValue, subtract`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### measureVector

    java.util.Vector<Measure> measureVector

  The vector of Measure:s.

### std

    double std

  The standard deviation.

Constructor Detail

### AverageMeasure

    public AverageMeasure()

### AverageMeasure

    public AverageMeasure(java.lang.String name,
                          java.lang.String description)

### AverageMeasure

    public AverageMeasure(AverageMeasure am2)

  Copy Constructor. Deep (the measure vector is duplicated with new Measure:s).

### AverageMeasure

    public AverageMeasure(Measure m)

  Constructs a AverageMeasure consisting of only the given Measure. Has to be used for starting adding Measure:s.

Method Detail

### addMeasure

    public boolean addMeasure(Measure m)

### sortMeasureVectorInStampOrder

    protected void sortMeasureVectorInStampOrder()

### difference

    public AverageMeasure difference(AverageMeasure other)

  Constructs a AverageMeasure containing the difference between this and an other AverageMeasure for each Measure in the Vector. (this-other)

### normDifference

    public AverageMeasure normDifference(AverageMeasure other)

  Constructs a AverageMeasure containing the normalized difference between this and an other AverageMeasure for each Measure in the Vector. (this-other)/other

### subtract

    public AverageMeasure subtract(AverageMeasure other)

### divide

    public AverageMeasure divide(AverageMeasure other)

### calculate

    private void calculate()

### getValue

    public double getValue()

  Overrides:
    `getValue` in class `Measure`

### getSTD

    public double getSTD()

### print

    public void print()

### printXML

    public void printXML(java.io.PrintWriter pw)
                  throws java.io.IOException

  Overrides:
    `printXML` in class `Measure`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD